Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: installeren aiglx  (gelezen 1439 keer)

Bo-bomb Buddy

  • Gast
installeren aiglx
« Gepost op: 2007/01/31, 20:20:21 »
Hoi lui, ik ben bezig met het installeren van aiglx op me laptop. Jammergenoeg liep ik al snel tegen de lamp. Ik volgde de installguide op de berylsite. Ik wil uiteindelijk dus beryl uitproberen.

1. Adding repositories (daar kreeg ik een foutmelding over libcairo dat niet geinstalleerd kon worden)

2. Installing aiglx. Er staat daar dat linux-dri-modules-2.6.15-27 gefikst moet worden. Staat niet in synaptic maar heb em elders   kunnen vinden (http://gandalfn.club.fr/ubuntu/index.php?dir=pool%2Fdapper%2Fl%2Flinux-dri-modules-2.6.15-27%2F).
Heb de tar bestand gedowload en uitgepakt (en build-essential geinstalleerd, want die had ik nog niet). Ik doe in me terminal cd [linux-dri etc etc] en typ ./configure en make en dan zien we het volgende:

roeb@main:~/linux-dri-modules-2.6.15-27-git20060809$ ./configure
bash: ./configure: No such file or directory
roeb@main:~/linux-dri-modules-2.6.15-27-git20060809$ make
make[1]: Entering directory `/home/roeb/linux-dri-modules-2.6.15-27-git20060809/linux-core'
make -C /lib/modules/2.6.15-27-386/build  SUBDIRS=`pwd` DRMSRCDIR=`pwd` modules
make: Entering an unknown directory
make: *** /lib/modules/2.6.15-27-386/build: No such file or directory.  Stop.
make: Leaving an unknown directory
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/roeb/linux-dri-modules-2.6.15-27-git20060809/linux-core'
make: *** [all] Error 2

Ik heb weleens eerder tar bestanden geinstalleerd en meestal ging dat goed. (nb werk nu op een clean install)
Maar wat nu het probleem is? I dunno, het zal wel iets stoms en simpels zijn :D

Offline siegi

  • Lid
  • Steunpunt: Nee
installeren aiglx
« Reactie #1 Gepost op: 2007/01/31, 20:34:31 »
in edgy zit aiglx al in hoef je niets voor te doen.

Bo-bomb Buddy

  • Gast
installeren aiglx
« Reactie #2 Gepost op: 2007/01/31, 20:47:41 »
ik krijg edgy niet geinstalleerd, een upgrade werkte voor geen meter en de installatie cd's blijven alle hangen. (en dat heb ik gedaan met verschillende branders en cd's en snelheden ze blijven allemaal hangen ophetzelfde punt).

Als het even kan blijf ik liever met dapper werken.

Offline siegi

  • Lid
  • Steunpunt: Nee
installeren aiglx
« Reactie #3 Gepost op: 2007/01/31, 20:53:04 »
In dapper heb ik altijd de xgl methode gebruikt, dit ging ook heel gemakkelijk.  
./configure is normaal een scriptje dat in de map moet staan en dat staat er blijkbaar niet.

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
installeren aiglx
« Reactie #4 Gepost op: 2007/01/31, 20:54:50 »
Citaat van: siegi
In dapper heb ik altijd de xgl methode gebruikt, dit ging ook heel gemakkelijk.  
./configure is normaal een scriptje dat in de map moet staan en dat staat er blijkbaar niet.
Xgl werkt niet voor alle kaarten, net zoals Aiglx dat niet voor alle kaarten doet:

Nvidia: Nvidia 9xxx (tfp) of Xgl
Nvidia-legacy: Xgl
ATI fglrx: Xgl
ATI radeon (open source): Aiglx
Intel GMA: Aiglx
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Bo-bomb Buddy

  • Gast
installeren aiglx
« Reactie #5 Gepost op: 2007/01/31, 21:11:47 »
ik wilde dus aiglx gebruiken omdat dat in die guide wordt aanbevolen. Ik gebruik een radeon mobility 7500 als grafische kaart. Moet ik dan wel aiglx installeren of is dat overbodig?

Edit:
Ok ik las er ff overheen maar volgens profox heb ik toch aiglx nodig maar ik kan dat dus niet installeren :(
Die map bevat 4 mappen en een makefile.

debian
linux-core
scripts
shared-core

Moet ik op zoek naar een configfile?

Offline siegi

  • Lid
  • Steunpunt: Nee
installeren aiglx
« Reactie #6 Gepost op: 2007/01/31, 21:41:05 »
Bo-bomb Buddy profox zegt dat je aiglx moet gebruiken als je de open source driver voor ati gebruikt.
Als je de driver van ati zelf gebruikt je xgl.

Dat was gewoon een vaststelling van die ./configure  

Heb je voor dit compileren trouwens de kernel headers niet nodig?

Bo-bomb Buddy

  • Gast
installeren aiglx
« Reactie #7 Gepost op: 2007/01/31, 22:36:19 »
hoe kan ik zien welke driver ik gebruik ik heb zelf nooit iets geinstalleerd van een driver dus wat heb ik dan de open source driver?

ik heb geloof ik weleens iets geinstalleerd en toen vroeg ie wel om de kernelheaders die had ik toen wel geinstalleerd en de installatie werkte vervolgens wel. Nu heb ik een (almost) clean install maar ik neem aan dat wanneer de headers vereist zijn ie daar wel om zou vragen...

er zitten wel een paar .sh bestanden in die mappen maar ik weet niet of ik daar iets nuttigs mee kan

debian:
ldm-manager
linux-dri-modules.postinst              (postinst? na installatie?)
linux-dri-modules.postrm

scripts:
create_bsd_pci_lists.sh                  (lijkt me een geval van nvt)
create_linux_pci_lists.sh
create_lk_drm.sh

Bo-bomb Buddy

  • Gast
installeren aiglx
« Reactie #8 Gepost op: 2007/01/31, 23:13:18 »
wat is makkelijker fgrlx installeren of aiglx :P

Offline siegi

  • Lid
  • Steunpunt: Nee
installeren aiglx
« Reactie #9 Gepost op: 2007/01/31, 23:43:53 »
cat /etc/X11/xorg.conf | grep Driver

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
installeren aiglx
« Reactie #10 Gepost op: 2007/02/01, 00:00:38 »
Citaat van: Bo-bomb Buddy
wat is makkelijker fgrlx installeren of aiglx :P
je moet wel de open source radeon driver gebruiken, want fglrx ondersteunt helemaal geen radeon 7500!

Ikzelf heb hier een laptop met een Mobility Radeon 7500 32MB, net zoals jou dus. Ik draai wel Edgy Eft in plaats van Beryl (Edgy Eft is zoiezo aanbevolen boven Dapper Drake als je met Beryl wil werken!)

De enige manier waarop ik vlotte prestaties krijg met deze ouderwetse videokaart is als ik in Xorg een 16bit kleurendiepte instel. De kleuren zien er nu wel een beetje fletser uit, maar de performance is wel top! Zelfs video afspelen terwijl je een transparante Beryl kubus ronddraait lukt prima nu!

Nu... als je per se met Dapper Drake wil doorgaan... dan moet je Aiglx nog zelf installeren, in Edgy Eft daarentegen is Aiglx standaard al ingeschakeld, en dan moet je enkel nog Beryl installeren.

Ik snap niet goed waarom jij dingen wil gaan compileren, maar goed. Ik zie inderdaad dat er iets broken lijkt te zijn op Dapper om Beryl te installeren. Onder Edgy Eft is het echter geen probleem, dus nogmaals... misschien is een upgrade naar Edgy Eft beter! Of anders nog 2 �  3 maanden wachten... Dan is Ubuntu Feisty Fawn er! Die heeft waarschijnlijk standaard al Compiz of Beryl geactiveerd!

In ieder geval is de installatie van Beryl onder Edgy Eft met AIGLX een eitje! :)

Fglrx en aiglx zijn trouwens 2 compleet verschillende dingen. Fglrx is een videodriver (de proprietary closed source videodriver van AMD/ATI) en Aiglx is een soort van render architectuur om je gebruikersomgeving in OpenGL te renderen.

Citaat van: Bo-bomb Buddy
hoe kan ik zien welke driver ik gebruik ik heb zelf nooit iets geinstalleerd van een driver dus wat heb ik dan de open source driver?
Dan zal je wel de open source driver gebruiken. Linux is meestal wel slim genoeg om de beste beschikbare keuze te maken voor je videokaart. Je kan dit controleren door je logfile te greppen, of eventueel door het commando dat siegi je gaf (grep Driver /etc/X11/xorg.conf)

Ik ben er echter rotsvast van overtuigd dat je de open source radeon driver gebruikt, want Ubuntu detecteert zo'n mobility radeon 7500 kaart correct en gebruikt daarvoor de open source radeon driver.
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Bo-bomb Buddy

  • Gast
installeren aiglx
« Reactie #11 Gepost op: 2007/02/02, 19:38:48 »
Ik heb dan toch maar edgy geinstalleerd. Ging niet van leien dakje want de installatie bleef wel weleens hangen. Ik heb beryl geinstalleerd en dat werkt goed.

Is echter wel een maar, ik dacht dat de hardware ondersteuning in edgy beter zou zijn. Maar jammergenoeg moest ik zelf de ati driver installeren en doet mijn draadloss het niet :( en ik weet niet goed hoe ik dat moet fiksen.

Beryl werkt verder wel ok, ik heb een beryl sessie aangemaakt  maar als ik heb ingelogd blijft het splash screen in beeld en dan na een min. of 5 crasht beryl en is het weg. beryl blijft wel runnen overigens. Beetje vaag.